Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1266 - rpm 2.91-9 severely broken
Summary: rpm 2.91-9 severely broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-21 17:33 UTC by Chris Runge
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-23 08:20:42 UTC


Attachments (Terms of Use)

Description Chris Runge 1999-02-21 17:33:38 UTC
RHL 5.8.1 (beta 1)

I installed the new rpm-2.91-9 series of rpms; this
effectively broke rpm.  Attempts to install/upgrade new rpms
give messages like:

[root@localhost redhat5.8.1]# rpm -Uvh rsh-0.10-9.i386.rpm
rsh                         can't rename /usr/bin/rcp to
bfffd3e8: Invalid cross-device link
unpacking of archive failed on file/usr/bin/rcp: cpio:
unlink failed - Invalid cross-device link


Note: this happened on every rpm I tried (it's not just a
bad rsh). I ended up reinstalling and upgrading to 5.8.1
sans the new RPM rpms

btw, while trying to fix this before the reinstallation I
did something stupid, which probably shouldn't be allowed:

rpm -e rpm

it works! (I don't know how one would recover from that
either--perhaps a warning message or something would be a
good idea)

Comment 1 Jeff Johnson 1999-02-23 08:20:59 UTC
The "Invalid cross-device link" affected only upgrades andhas been
fixed in rpm-2.91-10.


Note You need to log in before you can comment on or make changes to this bug.